Index: palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 183)
+++ palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 190)
@@ -2,61 +2,51 @@
 load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
 load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
+
+;***************************************************
+; load ncl_preferences.ncl
+;***************************************************
+   
+if (isfilepresent("~/ncl_preferences.ncl")) then
+   loadscript("~/ncl_preferences.ncl")
+else
+  if (isfilepresent("~/palm/current_version/trunk/SCRIPTS/NCL/ncl_preferences.ncl")) then
+     loadscript( "~/palm/current_version/trunk/SCRIPTS/NCL/ncl_preferences.ncl")
+  else
+      print(" ")
+      print("'ncl_preferences.ncl' does not exist in $home or $home/palm/current_version/trunk/SCRIPTS/NCL/")
+      print(" ")
+      exit
+   end if
+end if
+    
+begin
+
+   if (cross_sections .NE. 0 .OR. profiles .NE. 1 .OR. timeseries .NE. 0 .OR. spectra .NE. 0)then
+      print(" ")
+      print("Please specify the used script in 'ncl_preferences.ncl' (Line 7-10)")
+      print(" ")
+      print("Set 'profiles' equal 1 and the other variables equal 0")
+      print(" ")
+      exit
+   end if
  
-begin
-
-   ; ***************************************************
-   ; read parameter_list
-   ; ***************************************************
-
-   if (isfilepresent("~/.ncl_preferences")) then
-      parameter = asciiread("~/.ncl_preferences",129,"string")
-      delete(parameter@_FillValue)
-   else
-      if (isfilepresent("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences")) then
-         parameter = asciiread("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences",129,"string")
-         delete(parameter@_FillValue)
-      else
-         print(" ")
-         print("'.ncl_preferences' is not present in '~/palm/current_version/trunk/SRIPTS/NCL/'")
-         print(" ")
-         exit
-      end if
-   end if
- 
-   ; ***************************************************
-   ; set up default parameter values and strings if not assigned in prompt or parameter list
-   ; ***************************************************
-  
-   if ( .not. isvar("no_files") ) then 
-      no_files = 1  
-      if (parameter(81) .NE. "1") then
-         no_files = stringtointeger(parameter(81))
-         if (no_files .LT. 1 .OR. no_files .GT. 12) then
-            print(" ")
-            print("Please assign 'no_files' between 1 and 12")  
-            print(" ")
-            exit
-         end if
-      end if
-   else
-      if (no_files .LT. 1 .OR. no_files .GT. 12) then
-         print(" ")
-         print("Please assign 'no_files' between 1 and 12")  
-         print(" ")
-         exit
-      end if
+   ;***************************************************
+   ; set up default parameter values and strings 
+   ;***************************************************
+
+   if (no_files .LT. 1 .OR. no_files .GT. 12) then
+      print(" ")
+      print("Please assign 'no_files' between 1 and 12")  
+      print(" ")
+      exit
    end if
 
    file_in = new(no_files,string)
- 
-   if ( .not. isvar("file_1") ) then     		     
-      if (parameter(7) .EQ. "File in") then
-         print(" ")
-         print("Please provide 1st input file 'file_1=' either in prompt or parameter_list")
-         print(" ")
-         exit
-      else
-         file_in(0) = parameter(7)
-      end if   
+   
+   if (file_1 .EQ. "File in") then
+      print(" ")
+      print("Please provide 1st input file 'file_1=' in 'ncl_preferences.ncl'")
+      print(" ")
+      exit 
    else
       file_in(0) = file_1   
@@ -64,431 +54,279 @@
    if (.not. isfilepresent(file_in(0))) then
       print(" ")
-      print("Your 1st input file: '"+file_in(0)+"' does not exist")
+      print("Your 1st input file: '"+file_in+"' does not exist")
+      print(" ")
+      exit
+   end if
+   
+   if (prof3d .EQ. -1)then
+      print(" ")
+      print("Please set 'prof3d' to 0 or 1")
+      print(" ")
+      exit
+   else
+      if (prof3d .NE. 0 .AND. prof3d .NE. 1)then
+         print(" ")
+         print("'prof3d'= "+prof3d+" is invalid; set 'prof3d' to 0 or 1")
+         print(" ")
+         exit
+      end if
+   end if
+ 
+   if (no_files .GT. 1) then
+      if (file_2 .EQ. "File in") then
+         print(" ")
+         print("Please provide 2nd input file 'file_2=' in 'ncl_preferences.ncl'")
+         print(" ")
+         exit 
+      else
+         file_in(1) = file_2   
+      end if
+      if (.not. isfilepresent(file_in(1))) then
+         print(" ")
+         print("Your 2nd input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if
+    
+   if (no_files .GT. 2) then
+      if (file_3 .EQ. "File in") then
+         print(" ")
+         print("Please provide 3rd input file 'file_3=' in 'ncl_preferences.ncl'")
+         print(" ")
+         exit 
+      else
+         file_in(2) = file_3   
+      end if
+      if (.not. isfilepresent(file_in(2))) then
+         print(" ")
+         print("Your 3rd input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if 
+   
+   if (no_files .GT. 3) then
+      if (file_4 .EQ. "File in") then
+         print(" ")
+         print("Please provide 4th input file 'file_4=' in 'ncl_preferences.ncl'")
+         print(" ")
+         exit 
+      else
+         file_in(3) = file_4   
+      end if
+      if (.not. isfilepresent(file_in(3))) then
+         print(" ")
+         print("Your 4th input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if
+   end if 
+   
+   if (no_files .GT. 4) then
+      if (file_5 .EQ. "File in") then
+         print(" ")
+         print("Please provide 5th input file 'file_5=' in 'ncl_preferences.ncl'")
+         print(" ")
+         exit 
+      else
+         file_in(4) = file_5   
+      end if
+      if (.not. isfilepresent(file_in(4))) then
+         print(" ")
+         print("Your 5th input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if  
+   end if 
+   if (no_files .GT. 5) then
+      if (file_6 .EQ. "File in") then
+         print(" ")
+         print("Please provide 6th input file 'file_6=' in 'ncl_preferences.ncl'")
+         print(" ")
+         exit 
+      else
+         file_in(5) = file_6   
+      end if
+      if (.not. isfilepresent(file_in(5))) then
+         print(" ")
+         print("Your 6th input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if   
+   end if 
+   if (no_files .GT. 6) then
+      if (file_7 .EQ. "File in") then
+         print(" ")
+         print("Please provide 7th input file 'file_7=' in 'ncl_preferences.ncl'")
+         print(" ")
+         exit 
+      else
+         file_in(6) = file_7   
+      end if
+      if (.not. isfilepresent(file_in(6))) then
+         print(" ")
+         print("Your 7th input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if    
+   end if 
+   if (no_files .GT. 7) then
+      if (file_8 .EQ. "File in") then
+         print(" ")
+         print("Please provide 8th input file 'file_8=' in 'ncl_preferences.ncl'")
+         print(" ")
+         exit 
+      else
+         file_in(7) = file_8   
+      end if
+      if (.not. isfilepresent(file_in(7))) then
+         print(" ")
+         print("Your 8th input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if    
+   end if 
+   if (no_files .GT. 8) then
+      if (file_9 .EQ. "File in") then
+         print(" ")
+         print("Please provide 9th input file 'file_9=' in 'ncl_preferences.ncl'")
+         print(" ")
+         exit 
+      else
+         file_in(8) = file_9   
+      end if
+      if (.not. isfilepresent(file_in(8))) then
+         print(" ")
+         print("Your 9th input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if   
+   end if 
+   if (no_files .GT. 9) then
+      if (file_10 .EQ. "File in") then
+         print(" ")
+         print("Please provide 10th input file 'file_10=' in 'ncl_preferences.ncl'")
+         print(" ")
+         exit 
+      else
+         file_in(9) = file_10   
+      end if
+      if (.not. isfilepresent(file_in(9))) then
+         print(" ")
+         print("Your 10th input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if   
+   end if 
+   if (no_files .GT. 10) then
+      if (file_11 .EQ. "File in") then
+         print(" ")
+         print("Please provide 11th input file 'file_11=' in 'ncl_preferences.ncl'")
+         print(" ")
+         exit 
+      else
+         file_in(10) = file_11   
+      end if
+      if (.not. isfilepresent(file_in(10))) then
+         print(" ")
+         print("Your 11th input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if   
+   end if 
+   if (no_files .GT. 11) then
+      if (file_12 .EQ. "File in") then
+         print(" ")
+         print("Please provide 12th input file 'file_12=' in 'ncl_preferences.ncl'")
+         print(" ")
+         exit 
+      else
+         file_in(11) = file_12   
+      end if
+      if (.not. isfilepresent(file_in(11))) then
+         print(" ")
+         print("Your 12th input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if    
+   end if 
+   
+   if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
+      print(" ")
+      print("'format_out = "+format_out+"' is invalid and set to'x11'")
+      print(" ")
+      format_out="x11"
+   end if  
+
+   if (over .NE. 0 .AND. over .NE. 1) then
+      print(" ")
+      print("'over'= "+over+" is invalid and set to 0")
+      print(" ")
+      over = 0
+   end if
+   if (no_files .GT. 1) then
+      over = 0
+      print(" ")
+      print("If you have more than one input file - you cannot overlay variables: over is set to 0")
+      print(" ")
+   end if
+   
+   if (combine .NE. 0 .AND. combine .NE. 1)then
+      print(" ")
+      print("Your 'combine'= "+combine+" is invalid and set to 0")
+      print(" ")
+      combine = 0
+   end if
+   if (no_files .GT. 1) then
+      combine = 0
+      print(" ")
+      print("If you have more than one input file you cannot combine variables: combine is set to 0")
+      print(" ")
+   end if   
+   if (combine .EQ. 1 .AND. number_comb .EQ. -1) then
+      print(" ") 
+      print("Please set 'number_comb' to 2 or 3 or combine to 0")
       print(" ")
       exit
    end if 
-
-   if (no_files .GT. 1) then
-      if (.not. isvar("file_2"))then
-         file_in(1) = parameter(85)
-         if (file_in(1) .EQ. "File in")
-            print(" ")
-            print("Please provide 2nd input file 'file_2=' either in prompt or parameter_list or change 'no_files' to 1")
-            print(" ")
-            exit
-         end if
-      else
-         file_in(1) = file_2
-      end if
-      if (.not. isfilepresent(file_in(1))) then
-         print(" ")
-         print("Your 2nd input file: '"+file_in(1)+"' does not exist")
+   if (combine .EQ. 1)then
+      if (number_comb .EQ. -1) then
+         print(" ") 
+         print("Please set 'number_comb' to 2 or 3 or combine to 0")
          print(" ")
          exit
       end if
-   end if 
-   if (no_files .GT. 2) then
-      if (.not. isvar("file_3"))then
-         file_in(2) = parameter(89)
-         if (file_in(2) .EQ. "File in")
-            print(" ")
-            print("Please provide 3rd input file 'file_3=' either in prompt or parameter_list or change 'no_files' to 2")
-            print(" ")
-            exit
-         end if
-      else
-         file_in(2) = file_3
-      end if
-      if (.not. isfilepresent(file_in(2))) then
-         print(" ")
-         print("Your 3rd input file: '"+file_in(2)+"' does not exist")
+      if (number_comb .NE. 2 .AND. number_comb .NE. 3) then
+         print(" ") 
+         print("Please set 'number_comb' to 2 or 3 or combine to 0")
          print(" ")
          exit
       end if
-   end if 
-   if (no_files .GT. 3) then
-      if (.not. isvar("file_4"))then
-         file_in(3) = parameter(93)
-         if (file_in(3) .EQ. "File in")
-            print(" ")
-            print("Please provide 4th input file 'file_4=' either in prompt or parameter_list or change 'no_files' to 3")
-            print(" ")
-            exit
-         end if
-      else
-         file_in(3) = file_4
-      end if
-      if (.not. isfilepresent(file_in(3))) then
-         print(" ")
-         print("Your 4th input file: '"+file_in(3)+"' does not exist")
-         print(" ")
-         exit
-      end if 
-   end if 
-   if (no_files .GT. 4) then
-      if (.not. isvar("file_5"))then
-         file_in(4) = parameter(97)
-         if (file_in(4) .EQ. "File in")
-            print(" ")
-            print("Please provide 5th input file 'file_5=' either in prompt or parameter_list or change 'no_files' to 4")
-            print(" ")
-            exit
-         end if
-      else
-         file_in(4) = file_5
-      end if
-      if (.not. isfilepresent(file_in(4))) then
-         print(" ")
-         print("Your 5th input file: '"+file_in(4)+"' does not exist")
-         print(" ")
-         exit
-      end if
-   end if 
-   if (no_files .GT. 5) then
-      if (.not. isvar("file_6"))then
-         file_in(5) = parameter(101)
-         if (file_in(5) .EQ. "File in")
-            print(" ")
-            print("Please provide 6th input file 'file_6=' either in prompt or parameter_list or change 'no_files' to 5")
-            print(" ")
-            exit
-         end if
-      else
-         file_in(5) = file_6
-      end if
-      if (.not. isfilepresent(file_in(5))) then
-         print(" ")
-         print("Your 6th input file: '"+file_in(5)+"' does not exist")
-         print(" ")
-         exit
-      end if
-   end if 
-   if (no_files .GT. 6) then
-      if (.not. isvar("file_7"))then
-         file_in(6) = parameter(105)
-         if (file_in(6) .EQ. "File in")
-            print(" ")
-            print("Please provide 7th input file 'file_7=' either in prompt or parameter_list or change 'no_files' to 6")
-            print(" ")
-            exit
-         end if
-      else
-         file_in(6) = file_7
-      end if
-      if (.not. isfilepresent(file_in(6))) then
-         print(" ")
-         print("Your 7th input file: '"+file_in(6)+"' does not exist")
-         print(" ")
-         exit
-      end if
-   end if 
-   if (no_files .GT. 7) then
-      if (.not. isvar("file_8"))then
-         file_in(7) = parameter(109)
-         if (file_in(7) .EQ. "File in")
-            print(" ")
-            print("Please provide 8th input file 'file_8=' either in prompt or parameter_list or change 'no_files' to 7")
-            print(" ")
-            exit
-         end if
-      else
-         file_in(7) = file_8
-      end if
-      if (.not. isfilepresent(file_in(7))) then
-         print(" ")
-         print("Your 8th input file: '"+file_in(7)+"' does not exist")
-         print(" ")
-         exit
-      end if
-   end if 
-   if (no_files .GT. 8) then
-      if (.not. isvar("file_9"))then
-         file_in(8) = parameter(113)
-         if (file_in(8) .EQ. "File in")
-            print(" ")
-            print("Please provide 9th input file 'file_9=' either in prompt or parameter_list or change 'no_files' to 8")
-            print(" ")
-            exit
-         end if
-      else
-         file_in(8) = file_9
-      end if 
-      if (.not. isfilepresent(file_in(8))) then
-         print(" ")
-         print("Your 9th input file: '"+file_in(8)+"' does not exist")
-         print(" ")
-         exit
-      end if
-   end if 
-   if (no_files .GT. 9) then
-      if (.not. isvar("file_10"))then
-         file_in(9) = parameter(117)
-         if (file_in(9) .EQ. "File in")
-            print(" ")
-            print("Please provide 10th input file 'file_10=' either in prompt or parameter_list or change 'no_files' to 9")
-            print(" ")
-            exit
-         end if
-      else
-         file_in(9) = file_10
-      end if
-      if (.not. isfilepresent(file_in(9))) then
-         print(" ")
-         print("Your 10th input file: '"+file_in(9)+"' does not exist")
-         print(" ")
-         exit
-      end if
-   end if 
-   if (no_files .GT. 10) then
-      if (.not. isvar("file_11"))then
-         file_in(10) = parameter(121)
-         if (file_in(10) .EQ. "File in")
-            print(" ")
-            print("Please provide 11th input file 'file_11=' either in prompt or parameter_list or change 'no_files' to 10")
-            print(" ")
-            exit
-         end if
-      else
-         file_in(10) = file_11
-      end if
-      if (.not. isfilepresent(file_in(10))) then
-         print(" ")
-         print("Your 11th input file: '"+file_in(10)+"' does not exist")
-         print(" ")
-         exit
-      end if
-   end if 
-   if (no_files .GT. 11) then
-      if (.not. isvar("file_12"))then
-         file_in(11) = parameter(125)
-         if (file_in(11) .EQ. "File in")
-            print(" ")
-            print("Please provide 12th input file 'file_12=' either in prompt or parameter_list or change 'no_files' to 11")
-            print(" ")
-            exit
-         end if
-      else
-         file_in(11) = file_12
-      end if
-      if (.not. isfilepresent(file_in(11))) then
-         print(" ")
-         print("Your 12th input file: '"+file_in(11)+"' does not exist")
-         print(" ")
-         exit
-      end if
-   end if 
-
-   if ( .not. isvar("format_out") ) then   		
-      format_out = "x11"
-      if (parameter(9) .NE. "x11") then
-         format_out = parameter(9)  
-         if (format_out .NE. "x11" .OR. format_out .NE. "pdf" .OR. format_out .NE. "eps" .OR. format_out .NE. "ps" .OR. format_out .NE. "epsi" .OR. format_out .NE. "ncgm")then
-            print(" ")
-            print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
-            print(" ")
-         end if  
-      end if 
-   else
-      if (format_out .NE. "x11" .OR. format_out .NE. "pdf" .OR. format_out .NE. "eps" .OR. format_out .NE. "ps" .OR. format_out .NE. "epsi" .OR. format_out .NE. "ncgm")then
-         print(" ")
-         print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
-         print(" ")
-      end if  
-   end if
-
-   if ( .not. isvar("file_out") ) then    	 	
-      file_out = "test"
-      if (parameter(11) .NE. "test_ts") then
-         file_out = parameter(11)  
-     end if     
-   end if
-   if ( .not. isvar("no_columns") ) then    		
-      no_columns = 1
-      if (parameter(17) .NE. "1") then
-         no_columns = stringtointeger(parameter(17))  
-      end if
-   end if
-   if ( .not. isvar("no_lines") ) then     		; number of plot-lines on one sheet
-      no_lines = 2
-      if (parameter(19) .NE. "2") then
-         no_lines = stringtointeger(parameter(19))  
-      end if
-   end if 
-   if ( .not. isvar("combine") ) then  		 	; color of lines
-      combine = 0
-      if (parameter(23) .NE. "0") then
-         combine = stringtointeger(parameter(23)) 
-         if (stringtointeger(parameter(23)) .NE. 1) then
-            print(" ")
-            print("Your 'combine'= "+combine+" is invalid and set to 0")
-            print(" ")
-            combine = 0
-         else
-            if (no_files .GT. 1) then
-               print(" ")
-               print("If you have more than one input file you cannot combine variables: combine is set to 0")
-               print(" ")
-               combine = 0
-            end if 
-         end if
-      end if
-   else
-      if (combine .NE. 0 .AND. combine .NE. 1)then
-         print(" ")
-         print("Your 'combine'= "+combine+" is invalid and set to 0")
-         print(" ")
-         combine = 0
-      end if
-      if (no_files .GT. 1) then
-         combine = 0
-         print(" ")
-         print("If you have more than one input file you cannot combine variables: combine is set to 0")
-         print(" ")
-      end if       
-   end if
-
-   if (combine .EQ. 1) then
-      if( .not. isvar("c_var") ) then
-         if (parameter(27) .EQ. "c_variables") then
-            print(" ") 
-            print("Please select variables for overlaying ('c_var')")
-            print(" ")
-            exit
-         else
-            c_var=parameter(27)
-         end if
-      end if
-   end if
-
-   if ( .not. isvar("black") ) then  		 	; color of lines
-      black = 0
-      if (parameter(31) .NE. "0") then
-         black = stringtointeger(parameter(31)) 
-         if (stringtointeger(parameter(31)) .NE. 1) then
-            print(" ")
-            print("Your 'black'= "+black+" is invalid and set to 0")
-            print(" ")
-            black = 0
-         end if
-      end if
-   else
-      if (black .NE. 0 .AND. black .NE. 1)then
-         print(" ")
-         print("Your 'black'= "+black+" is invalid and set to 0")
-         print(" ")
-         black = 0
-      end if
-   end if
-
-   if ( .not. isvar("dash") ) then   		 	
-      dash = 0
-      if (parameter(29) .NE. "0") then
-         dash = stringtointeger(parameter(29))
-         if (stringtointeger(parameter(29)) .NE. 1) then
-            print(" ")
-            print("Your 'dash'= "+dash+" is invalid and set to 0")
-            print(" ")
-            dash = 0
-         end if  
-      end if
-   else
-      if (dash .NE. 0 .AND. dash .NE. 1)then
-         print(" ")
-         print("Your 'dash'= "+dash+" is invalid and set to 0")
-         print(" ")
-         dash = 0
-      end if
-   end if
-
-   if ( .not. isvar("over") ) then     		        ; switches overlaying plots on
-      over = 0
-      if (stringtointeger(parameter(37)) .NE. 0) then
-         over = stringtointeger(parameter(37))
-         if (stringtointeger(parameter(37)) .NE. 1) then
-            print(" ")
-            print("Your 'over'= "+over+" is invalid and set to 0")
-            print(" ")
-            over = 0
-         else
-            if (no_files .GT. 1) then
-               over = 0
-               print(" ")
-               print("If you have more than one input file you cannot overlay variables: over is set to 0")
-               print(" ")
-            end if
-         end if   
-      end if
-   else
-      if (over .NE. 0 .AND. over .NE. 1)then
-         print(" ")
-         print("Your 'over'= "+over+" is invalid and set to 0")
-         print(" ")
-         over = 0
-      end if
-   end if
-
-   if (.not. isvar("prof3d"))then
-      prof3d = 0
-      if (stringtointeger(parameter(75)) .NE. 0) then
-         prof3d = stringtointeger(parameter(75))
-         if (stringtointeger(parameter(75)) .NE. 1) then
-            print(" ")
-            print("Please set 'prof3d' to 0 or 1")
-            print(" ")
-            exit
-         end if   
-      end if
-   else
-      if (prof3d .NE. 0 .AND. prof3d .NE. 1)then
-         print(" ")
-         print("Your 'prof3d'= "+prof3d+" is invalid; please set 'prof3d' to 0 or 1")
-         print(" ")
-         exit
-      end if
-   end if
-
-   if (.not. isvar("logy"))then
+   end if  
+   if (combine .EQ. 1 .AND. c_var .EQ. "c_variables") then
+      print(" ") 
+      print("Please select variables for overlaying ('c_var') or set combine to 0")
+      print(" ")
+      exit
+   end if
+
+   if (logy .NE. 0 .AND. logy .NE. 1)then
+      print(" ")
+      print("'logy'= "+logy+" is invalid and set to 0")
+      print(" ")
       logy = 0
-      if (stringtointeger(parameter(77)) .NE. 0) then
-         logy = stringtointeger(parameter(77))
-         if (stringtointeger(parameter(77)) .NE. 1) then
-            print(" ")
-            print("Your 'logy'= "+logy+" is invalid and set to 0")
-            print(" ")
-            logy = 0
-         end if   
-      end if
-   else
-      if (logy .NE. 0 .AND. logy .NE. 1)then
-         print(" ")
-         print("Your 'logy'= "+logy+" is invalid and set to 0")
-         print(" ")
-         logy = 0
-      end if    
-   end if
-
-   if ( .not. isvar("norm") ) then     		
+   end if    
+  
+   if (norm .EQ. 0) then 
+      print(" ")
+      print("You cannot normalise with 0, 'norm' is set to 1")
+      print(" ")
       norm = 1.0
-      if (parameter(79) .NE. "1") then
-         norm = stringtofloat(parameter(79)) 
-         if (stringtofloat(parameter(79)) .EQ. 0) then 
-            print(" ")
-            print("You cannot normalise with 0, 'norm' is set to 1")
-            print(" ")
-            norm = 1.0
-         end if
-      end if
-   else
-      if (norm .EQ. 0) then 
-         print(" ")
-         print("You cannot normalise with 0, 'norm' is set to 1")
-         print(" ")
-         norm = 1.0
-      end if
-   end if 
-
-   ; ***************************************************
+   end if
+
+   ;***************************************************
    ; open input file
-   ; ***************************************************
+   ;***************************************************
 
    do nof=0,no_files-1
@@ -503,5 +341,5 @@
       if (dim0 .NE. dim)then
          print(" ")
-         print("Your Input files does not contain the same variables")
+	 print("There are 'no_files'="+no_files+" input files but they do not contain the same variables")
          print(" ")
          exit
@@ -510,5 +348,5 @@
             if (vNam0(i) .NE. vNam(i))then
                print(" ")
-               print("Your Input files does not contain the same variables")
+               print("There are 'no_files'="+no_files+" input files but they do not contain the same variables")
                print(" ")
                exit
@@ -519,5 +357,6 @@
    nof=nof+1
    print(" ")
-   print("Variable in input file "+nof+": " + vNam)
+   print("Variables in input file "+nof+":")
+   print("- "+ vNam)
    print(" ")
    nof=nof-1
@@ -555,6 +394,5 @@
          break
       else
-         if (vNam(varn) .EQ. "v" .OR. isStrSubset(vNam(varn), "v_"))then
-  
+         if (vNam(varn) .EQ. "v" .OR. isStrSubset(vNam(varn), "v_"))then  
             z_u = f->$vNam(varn+1)$
             break
@@ -835,16 +673,6 @@
       varn=varn-1
    end do
-   if ( .not. isvar("z_u") ) then
-      zu = 0
-   else
-      zu = 1
-   end if
-   if ( .not. isvar("z_w") ) then
-      zw = 0
-   else 
-      zw = 1
-   end if
-
-   if (zu .EQ. 0 .AND. zw .EQ. 0) then
+   
+   if (.not. isvar("z_u") .AND. .not. isvar ("z_w")) then
       co=0
       do varn=0,dim-1      
@@ -852,17 +680,19 @@
             check = False
          else
-            if (.not. isvar("var")) then
-               check = True
-               if (parameter(21) .NE. "variables") then
-                  var=parameter(21)
-                  check = isStrSubset( var,","+vNam(varn)+"," )
-               end if
-            else          
+            check = True
+            if (var .NE. "all") then
                check = isStrSubset( var,","+vNam(varn)+"," )
-            end if
+            end if          
          end if
          if (check)then
             co=co+1
             z = f->$vNam(varn+1)$
+	    if (getvardims(z) .EQ. "zu")then
+	       z_u = z
+	    else
+	       if (getvardims(z) .EQ. "zw")then
+	          z_w = z
+	       end if
+	    end if
             dimz = dimsizes(z)
             break
@@ -871,5 +701,6 @@
       if (co .EQ. 0) then
          print(" ")
-         print("The variables 'var=Â°"+var+"Â°' do not exist on your input file")
+         print("The variables 'var="+var+"' do not exist on your input file;")
+	 print("be sure to have one comma berfore and after each variable")
          print(" ")
          exit
@@ -901,4 +732,12 @@
    end if
    
+   if(.not. isvar("z_u") .AND. .not. isvar("z_w"))then
+      print(" ")
+      print("Program aborts - there are no z-variables available")
+      print("Please be sure if 'plot_3d' is set correctly")
+      print(" ")
+      exit
+   end if
+   
    t_all = f->time
    nt    = dimsizes(t_all)
@@ -910,22 +749,6 @@
    ; ****************************************************
    
-   if ( .not. isvar("start_time_step") ) then   	
-      start_time_step=t_all(0)/3600
-      if (parameter(13) .NE. "t(0)") then
-         if (stringtodouble(parameter(13)) .GT. t_all(nt-1)/3600)then
-            print(" ")
-            print("'start_time_step' = "+ parameter(13) +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
-            print(" ")
-            print("Please select another 'start_time_step'")
-            print(" ")
-            exit
-         end if
-         if (stringtofloat(parameter(13)) .LT. t_all(0)/3600)then
-            print(" ")
-            print("'start_time_step' = "+ parameter(13) +"h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")           
-            exit
-         end if
-         start_time_step=stringtodouble(parameter(13)) 
-      end if
+   if (start_time_step .EQ. -1.) then   	
+      start_time_step=t_all(0)/3600      
    else 
       if (start_time_step .GT. t_all(nt-1)/3600)then
@@ -940,16 +763,23 @@
          print(" ")
          print("'start_time_step' = "+ start_time_step +"h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
-        
+         print(" ")
          exit
       end if
    end if
-   start_time_step = start_time_step*3600
 
    do i=0,nt-1     
-      if (start_time_step .GE. t_all(i)-delta_t/2 .AND. start_time_step .LT. t_all(i)+delta_t/2)then
+      if (start_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. start_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          st=i
          break
       end if
    end do
+   if (.not. isvar("st"))then
+      print(" ")
+      print("'start_time_step' = "+ start_time_step +"h is invalid")
+      print(" ")
+      print("Please select another 'start_time_step'")
+      print(" ")
+      exit
+   end if
    
    ; ****************************************************
@@ -957,25 +787,6 @@
    ; ****************************************************
 
-   if ( .not. isvar("end_time_step") ) then     	
-      end_time_step = t_all(nt-1)/3600
-      if (parameter(15) .NE. "t(end)") then
-         if (stringtodouble(parameter(15)) .GT. t_all(nt-1)/3600)then
-            print(" ")
-            print("'end_time_step' = "+ parameter(15) +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
-            print(" ")
-            print("Please select another 'end_time_step'")  
-            print(" ")
-            exit
-         end if
-         if (stringtodouble(parameter(15)) .LT. start_time_step/3600)then
-            print(" ")
-            print("'end_time_step' = "+ parameter(15) +"h is lower than 'start_time_step' = "+start_time_step/3600+"h")
-            print(" ")
-            print("Please select another 'start_time_step' or 'end_time_step'")
-            print(" ")
-            exit
-         end if
-         end_time_step = stringtodouble(parameter(15))
-      end if    
+   if (end_time_step .EQ. -1.) then     	
+      end_time_step = t_all(nt-1)/3600  
    else
       if (end_time_step .GT. t_all(nt-1)/3600)then
